from ploneintranet import api as pi_api
from ploneintranet.notifications.browser.aggregator import AggregatedBase


class AggregatedDesktop(AggregatedBase):
    """Actually this does not aggregate anything,
    we just push the notification to the desktop
    """

    def process(self):
        pi_api.push.browser_new_notification_for(self.context.recipient_id)
